Page MenuHomePhabricator

[JITLink] Add anonymous symbols in LinkGraph for unnamed temporary symbols
ClosedPublic

Authored by StephenFan on Jan 1 2022, 7:08 AM.

Details

Summary

In RISCV, temporary symbols will be used to generate dwarf, eh_frame sections..., and will be placed in object code's symbol table. However, LLVM does not use names on these temporary symbols. This patch add anonymous symbols in LinkGraph for these temporary symbols.

Diff Detail

Event Timeline

StephenFan created this revision.Jan 1 2022, 7:08 AM
StephenFan requested review of this revision.Jan 1 2022, 7:08 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 1 2022, 7:08 AM
StephenFan updated this revision to Diff 396858.Jan 1 2022, 7:12 AM

Amend comments

StephenFan updated this revision to Diff 398126.Jan 7 2022, 6:22 AM

Add a testcase

lhames accepted this revision.Jan 11 2022, 7:51 PM

LGTM. Thanks Stefan!

This revision is now accepted and ready to land.Jan 11 2022, 7:51 PM
This revision was landed with ongoing or failed builds.Jan 22 2022, 12:51 AM
This revision was automatically updated to reflect the committed changes.

Reverted due to miss # REQUIRES: asserts in test file